:root {
  --primary: #F05312;
  --secondary: #1D70EA;
}

.text-primary {
  color: #F05312 !important;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  min-height: 100vh;
  font-family: 'Roboto', sans-serif, Arial;
  background-color: #FFFFFF;
}

ul {
  list-style: none;
  padding-left: 0rem !important
}

ul.list-style,
ol.list-style {
  margin: -10px 0
}

ul.list-style li,
ol.list-style li {
  margin: 10px 0
}

ul.list-style li::marker,
ol.list-style li::marker {
  color: var(--primary)
}

.list-unstyled {
  padding-left: 0;
  list-style: none;
  margin-bottom: 0
}

.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl,
.container-xxl {
  padding-left: 15px;
  padding-right: 15px
}

@media only screen and (min-width:1200px) and (max-width:1399px) {
  .container {
    max-width: 100%;
    padding-left: 30px;
    padding-right: 30px
  }
}

.row {
  margin-right: 0rem !important;
}

.row {
  margin-left: -15px;
  margin-right: -15px
}

.row>[class*=col] {
  padding-left: 15px;
  padding-right: 15px
}

.row.g-0 {
  margin-left: 0;
  margin-right: 0
}

.row.g-0>[class*=col] {
  padding-left: 0;
  padding-right: 0
}

@media only screen and (min-width:1400px) {
  .row-35 {
    margin-left: -35px;
    margin-right: -35px
  }

  .row-35>[class*=col] {
    padding-left: 35px;
    padding-right: 35px
  }

  .row-40 {
    margin-left: -40px;
    margin-right: -40px
  }

  .row-40>[class*=col] {
    padding-left: 40px;
    padding-right: 40px
  }

  .row-45 {
    margin-left: -45px;
    margin-right: -45px
  }

  .row-45>[class*=col] {
    padding-left: 45px;
    padding-right: 45px
  }
}

a {
  text-decoration: none;
  color: #F05312;
}

/* navbar   */

header {
  position: sticky;
  top: 0px;
  background-color: white;
  width: 100%;
  z-index: 1000;
}

.navbar-container {
  /* max-width: 65rem; */
  padding: 0 5rem;
  margin: 0 auto;
  display: flex;
  position: relative;
  justify-content: space-between;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}

.logo-container {
  /* flex: 1; */
  display: flex;
  align-items: center;
}

.nav-btn {
  /* flex: 3; */
  display: flex;
}

.nav-links {
  /* flex: 2; */
}

.log-sign {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1;
}

.logo {
  color: #FAFAFA;
  font-size: 1.1rem;
  font-weight: 600;
  letter-spacing: 2px;
  text-transform: uppercase;
  line-height: 3rem;
}

.logo span {
  font-weight: 300;
}

.login-btn {
  display: inline-block;
  padding: .5rem 1.3rem;
  font-size: .8rem;
  border: 2px solid #000000;
  border-radius: 2rem;
  line-height: 1;
  margin: 0 .2rem;
  transition: .3s;
  text-transform: uppercase;
}

.login-btn.solid,
.login-btn.transparent:hover {
  background-color: #000000;
  color: #3D8361;
}

.login-btn.transparent,
.login-btn.solid:hover {
  background-color: transparent;
  color: #000000;
}

.nav-links>ul {
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-link {
  position: relative;
}

.nav-link>a {
  line-height: 3rem;
  color: #000000;
  padding: 0rem;
  letter-spacing: 1px;
  font-size: .95rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transition: .5s;
}

.nav-link>a>i {
  margin-left: .2rem;
}

.nav-link:hover>a {
  transform: scale(1.1);
}

.dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  width: 10rem;
  transform: translateY(10px);
  opacity: 0;
  pointer-events: none;
  transition: .5s;
}

.dropdown ul {
  position: relative;
}

.dropdown-link>a {
  display: flex;
  background-color: #FAFAFA;
  color: #F05312;
  padding: .5rem 1rem;
  font-size: .9rem;
  align-items: center;
  justify-content: space-between;
  transition: .3s;
}

.dropdown-link:hover>a {
  background-color: #F05312;
  color: #FAFAFA;
}

.dropdown-link:not(:nth-last-child(2)) {
  border-bottom: 1px solid #FAFAFA;
}

.dropdown-link i {
  transform: rotate(-90deg);
}

.arrow {
  position: absolute;
  width: 11px;
  height: 11px;
  top: -5.5px;
  left: 32px;
  background-color: #FAFAFA;
  transform: rotate(45deg);
  cursor: pointer;
  transition: .3s;
  z-index: -1;
}

.dropdown-link:first-child:hover~.arrow {
  background-color: #F05312;
}

.dropdown-link {
  position: relative;
}

.dropdown.second {
  top: 0;
  left: 100%;
  padding-left: .8rem;
  cursor: pointer;
  transform: translateX(10px);
}

.dropdown.second .arrow {
  top: 10px;
  left: -5.5px;
}

.nav-link:hover>.dropdown,
.dropdown-link:hover>.dropdown {
  transform: translate(0, 0);
  opacity: 1;
  pointer-events: auto;
}

.hamburger-menu-container {
  flex: 1;
  display: none;
  align-items: center;
  justify-content: flex-end;
}

.hamburger-menu {
  width: 2.5rem;
  height: 2.5rem;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.hamburger-menu div {
  width: 1.6rem;
  height: 3px;
  border-radius: 3px;
  background-color: #000;
  position: relative;
  z-index: 1001;
  transition: .5s;
}

.hamburger-menu div:before,
.hamburger-menu div:after {
  content: '';
  position: absolute;
  width: inherit;
  height: inherit;
  background-color: #000;
  border-radius: 3px;
  transition: .5s;
}

.hamburger-menu div:before {
  transform: translateY(-7px);
}

.hamburger-menu div:after {
  transform: translateY(7px);
}

#check {
  position: absolute;
  top: 50%;
  right: 1.5rem;
  transform: translateY(-50%);
  width: 2.5rem;
  height: 2.5rem;
  z-index: 90000;
  cursor: pointer;
  opacity: 0;
  display: none;
}

#check:checked~.hamburger-menu-container .hamburger-menu div {
  background-color: transparent;
}

#check:checked~.hamburger-menu-container .hamburger-menu div:before {
  transform: translateY(0) rotate(-45deg);
}

#check:checked~.hamburger-menu-container .hamburger-menu div:after {
  transform: translateY(0) rotate(45deg);
}

@keyframes animation {
  from {
    opacity: 0;
    transform: translateY(15px);
  }

  to {
    opacity: 1;
    transform: translateY(0px);
  }
}

@media (max-width: 920px) {
  .hamburger-menu-container {
    display: flex;
  }

  #check {
    display: block;
  }

  .download-images {
    bottom: 6rem !important;
  }

  .nav-btn {
    position: fixed;
    height: calc(100vh - 3rem);
    top: 3rem;
    left: 0;
    width: 100%;
    background-color: #c44f1f;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    overflow-x: hidden;
    overflow-y: auto;
    transform: translateX(100%);
    transition: .65s;
  }

  #check:checked~.nav-btn {
    transform: translateX(0);
  }

  #check:checked~.nav-btn .nav-link,
  #check:checked~.nav-btn .log-sign {
    animation: animation .5s ease forwards var(--i);
  }

  .nav-links {
    flex: initial;
    width: 100%;
  }

  .nav-links>ul {
    flex-direction: column;
  }

  .nav-link {
    width: 100%;
    opacity: 0;
    transform: translateY(15px);
  }

  .nav-link>a {
    line-height: 1;
    padding: 1.6rem 2rem;
  }

  .nav-link:hover>a {
    transform: scale(1);
    background-color: #1E6F5C;
  }

  .dropdown,
  .dropdown.second {
    position: initial;
    top: initial;
    left: initial;
    transform: initial;
    opacity: 1;
    pointer-events: auto;
    width: 100%;
    padding: 0;
    background-color: #F05312;
    display: none;
  }

  .nav-link:hover>.dropdown,
  .dropdown-link:hover>.dropdown {
    display: block;
  }

  .nav-link:hover>a>i,
  .dropdown-link:hover>a>i {
    transform: rotate(360deg);
  }

  .dropdown-link>a {
    background-color: transparent;
    color: #FAFAFA;
    padding: 1.2rem 2rem;
    line-height: 1;
  }

  .dropdown.second .dropdown-link>a {
    padding: 1.2rem 2rem 1.2rem 3rem;
  }

  .dropdown.second .dropdown.second .dropdown-link>a {
    padding: 1.2rem 2rem 1.2rem 4rem;
  }

  .dropdown-link:not(:nth-last-child(2)) {
    border-bottom: none;
  }

  .arrow {
    z-index: 1;
    background-color: #3D8361;
    left: 10%;
    transform: scale(1.1) rotate(45deg);
    transition: .5s;
  }

  .nav-link:hover .arrow {
    background-color: #F05312;
  }

  .dropdown .dropdown .arrow {
    display: none;
  }

  .dropdown-link:hover>a {
    background-color: #F05312;
  }

  .dropdown-link:first-child:hover~.arrow {
    background-color: #F05312;
  }

  .nav-link>a>i {
    font-size: 1.1rem;
    transform: rotate(-90deg);
    transition: .7s;
  }

  .dropdown i {
    font-size: 1rem;
    transition: .7s;
  }

  .log-sign {
    flex: initial;
    width: 100%;
    padding: 1.5rem 1.9rem;
    justify-content: flex-start;
    opacity: 0;
    transform: translateY(15px);
  }
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}

.nav-active {
  border-bottom: var(--primary);
}

.navbar-logo img {
  width: 155px;
  height: 43px;
}

.mainmenu>li.nav-active>a::before {
  opacity: 1;
  width: 100%;
}

.mainmenu>li>a::before {
  content: "";
  height: 2px;
  width: 0;
  background-color: var(--primary);
  position: absolute;
  bottom: 12px;
  left: 0;
  opacity: 0;
  -webkit-transition: .5s;
  transition: .5s;
}

.mainmenu>li {
  margin: 0 12px;
}

.mainmenu>li>a:hover::before {
  opacity: 1;
  width: 100%;
}

.tool-bar {
  position: relative;
  z-index: 999;
  background-color: #ecf2f6;
}



/* Recently Uploaded Section */

.container .card .top-heading {
  font-family: 'Inter', sans-serif;
  font-weight: 600;
}

#cardCarousel1 .carousel-item {
  padding: 15px 0;
}

#cardCarousel1 .carousel-inner {
  display: flex;
}

#cardCarousel1 .carousel-item>.row {
  flex: 1;
}

#cardCarousel1 .card img {
  height: 150px;
  object-fit: cover;
}

#cardCarousel1 .card {
  height: 100%;
}

#cardCarousel1 .carousel-control-prev-icon,
#cardCarousel1 .carousel-control-next-icon {
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  padding: 10px;
}


#cardCarousel1 .card-title {
  font-weight: 400;
  font-family: 'Inter', sans-serif;
  font-size: 20px;
}

#cardCarousel1 .card-title span {
  font-weight: 400;
  font-family: 'Inter', sans-serif;
  font-size: 10px;
}


#cardCarousel2 .carousel-item {
  padding: 15px 0;
}

#cardCarousel2 .carousel-inner {
  display: flex;
}

#cardCarousel2 .carousel-item>.row {
  flex: 1;
}

#cardCarousel2 .card img {
  height: 150px;
  object-fit: cover;
}

#cardCarousel2 .card {
  height: 100%;
}

#cardCarousel2 .carousel-control-prev-icon,
#cardCarousel2 .carousel-control-next-icon {
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  padding: 10px;
}


#cardCarousel2 .card-title {
  font-weight: 400;
  font-family: 'Inter', sans-serif;
  font-size: 20px;
}

#cardCarousel2 .card-title span {
  font-weight: 400;
  font-family: 'Inter', sans-serif;
  font-size: 10px;
}


.custom-btn {
  border: 2px solid var(--primary);
  color: var(--primary);
  background-color: transparent;
  padding: 8px 16px;
  border-radius: 10px;
  font-weight: 500;
  text-decoration: none;
  transition: all 0.3s ease;
  width: 100%;
}

.custom-btn:hover {
  background-color: var(--primary);
  color: white;
}

.carousel-nav-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  background-color: white;
  border: none;
  border-radius: 50%;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.3s;
}

.carousel-nav-btn.left {
  left: -20px;
}

.carousel-nav-btn.right {
  right: -20px;
}

.carousel-nav-btn:hover {
  background-color: #f0f0f0;
}

.arrow-icon {
  font-size: 18px;
  font-weight: bold;
  color: #333;
}


/* new equip section */

.tab-link {
  transition: background-color 0.2s ease, color 0.2s ease;
  font-weight: 500;
  border-radius: 0.5rem;

}

.tab-link:hover {
  background-color: #f8f9fa;
  color: #000;
}

.active-tab {
  background-color: #fff3cd;
  color: #000;
  font-weight: 600;
}


.manufacturer-logo img {
  max-width: 100%;
  max-height: 60px;
  object-fit: contain;
}


/* manufacture detail page */

.detail-img {
  height: 100px;
  width: 140px;
  margin-top: 50px;

}

.manufacture-detail {
  border-color: transparent !important;
}

.card {
  border-color: transparent !important;
}

.manufacture-detail .title {
  font-family: 'Inter';
  font-weight: 700;
}

.manufacture-detail .paragraph {
  /* font-family: 'Inter'; */
  font-size: 13px;
  line-height: 140%;
  color: #6C6C6C;
  /* margin-top: 25px; */
}


/* Product Detail */

.product_price {
  color: var(--secondary);
  font-size: 27px;
  font-weight: 700;
}

.model_name {
  color: #6C6C6C;
  font-family: 'Inter';
  font-weight: 500;
}

.manufacture {
  background-color: #F0F0F0;
  font-family: 'Inter';
  font-weight: 600;
  font-size: 20px;
  line-height: 140%;
  letter-spacing: 0%;
  padding: 5px;
}

.specification .title {
  font-family: 'Inter';
  color: var(--primary);
  font-size: medium;
  margin-top: 20px;
}

.label-col {
  font-family: Montserrat;
  font-weight: 500;
  font-size: 15px;
  line-height: 22px;
}

.value-col {
  font-family: Montserrat;
  font-weight: 500;
  font-size: 15px;
  line-height: 22px;
}


/* Spare & Tools Section */

.spare_heading {
  font-family: Montserrat;
  font-weight: 600;
  font-size: 24px;
  line-height: 140%;
  letter-spacing: 0%;
  color: #000000;
}


/* Subsidy Section */

.subsidy_heading {
  font-family: Inter;
  font-weight: 700;
  font-size: 20px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #000000;
}

.subsidy_text {
  font-family: Inter;
  font-weight: 400;
  font-size: 12px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #6C6C6C;

}


/* Properties section */
.property-card {
  background: #fff;
  border-radius: 10px;
  overflow: hidden;
  margin-bottom: 20px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}

.property-card img {
  width: 100%;
  height: 180px;
  object-fit: cover;
}

.property-info {
  padding: 15px;
}

.property-info h5 {
  margin-bottom: 5px;
  font-weight: 600;
}

.property-info p {
  margin-bottom: 8px;
  color: #6c757d;
}

.filters {
  margin-top: -40px;
  padding: 20px;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  position: relative;
  z-index: 2;
}

.btn-sell {
  background: #232323;
  color: #fff;
}

.btn-sell:hover {
  background: #232323;
  color: #fff;
}

.search-btn {
  background: #F05312;
  color: #000;
  border: none;
}


/* footer section */

/* #footer {
    position: relative;
    left: 0;
    bottom: 0;
    width: 100%;
} */

#footer {
  margin-top: 30px;
  clear: both;
  line-height: 1.25em;
  position: relative;
  /* If media is above 991 */
  /* If media is above 1199 */
  /* If media is below 544 */
  /* If media is above 991 */
}

#footer .footer-container {
  /* If media is above 991 */
  display: block;
  overflow: hidden;
  position: relative;
  /* box-shadow: 0 -4px 10px -2px rgba(0, 0, 0, 0.1); */
}


.download-app {
  height: 128px;
  background-color: #2f64b2;
}

.download-app h2 {
  font-family: 'Inter', sans-serif;
  font-size: 31px;
  font-weight: 700;
}

.download-app p {
  font-family: 'Mona Sans', sans-serif;
  color: var(--primary);
}

.download-images {
  position: absolute;
  bottom: 100px;
}

.main-footer {
  /* background-color: #fff; */
  background: linear-gradient(270deg, rgba(251, 255, 246, 0.20) 0.45%, rgba(255, 255, 255, 0.00) 194.45%), linear-gradient(1deg, rgba(171, 254, 214, 0.20) 15.19%, rgba(228, 254, 186, 0.20) 76.1%, rgba(255, 255, 255, 0.20) 105.61%);

  /* height: 290px; */
}

.footer-links h5 {
  font-family: 'Inter', sans-serif;
  font-size: 25px;
  font-weight: 700;
  color: var(--primary);
}

.footer-links li a {
  display: inline-block;
  text-align: left;
  color: rgba(36, 39, 44, .5);
  font-size: 14px;
  transition: box-shadow .3s ease-in;
  cursor: pointer;
}

.footer-links li {
  /* margin-bottom: 5px; */
  line-height: 2.3;
}

.footer-links img {
  height: 31px;
}

.main-footer .text-white {
  color: var(--secondary) !important;
}

.main-footer p {
  color: var(--secondary) !important;
}

.footer-add-bar img {
  height: 8rem;
  width: 100%;
}

@media only screen and (max-width: 991px) {
  .hidden-md {
    display: none;
  }
}

.navbar-container {
  padding: 0 1rem;
}


.btn-warning {
  background-color: var(--primary) !important;
  border-color: var(--primary) !important;
}

.btn-outline-warning {
  --bs-btn-color: var(--primary);
  --bs-btn-border-color: var(--primary);
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: var(--primary);
  --bs-btn-hover-border-color: var(--primary);
  --bs-btn-focus-shadow-rgb: 255, 193, 7;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: var(--primary);
  --bs-btn-active-border-color: var(--primary);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: var(--primary);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--primary);
  --bs-gradient: none;
}